Raritan PX2/PX3 JSON-RPC API

DebugLog.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6 #ifndef __LOG_DEBUGLOG_IDL__
7 #define __LOG_DEBUGLOG_IDL__
8
9 #include <Log.idl>
10
11 /**
12 * Device Logging
13 */
14 module logging {
15
16 /** Device debug log interface */
17 interface DebugLog_2_0_0 {
18
19 /**
20 * Clear the debug log.
21 */
22 void clear();
23
24 /**
25 * Get info about the debug log.
26 *
27 * @return log info
28 */
29 LogInfo getInfo();
30
31 /**
32 * Fetch a chunk from the debug log.
33 *
34 * @param refId First log id to fetch
35 * @param count Number of entries to fetch
36 * @param direction Range direction
37 *
38 * @return log chunk
39 */
40 LogChunk getChunk(in int refId, in int count, in RangeDirection direction);
41
42 };
43
44 }
45
46 #endif /* __LOG_DEBUGLOG_IDL__ */
logging
Device Logging.
Definition: DebugLog.idl:14
logging::DebugLog_2_0_0
Device debug log interface.
Definition: DebugLog.idl:17
logging::LogChunk
A log chunk.
Definition: Log.idl:28
logging::RangeDirection
RangeDirection
Range direction when fetching log entries.
Definition: Log.idl:36
logging::LogInfo
General log info.
Definition: Log.idl:13